mod assembly;
mod tokeniser;

fn main() {
    let filename = std::env::args().nth(1).expect("No filename argument");
    let contents =
        std::fs::read_to_string(&filename).expect(&format!("No file named {}", &filename));

    let tokens = dbg!(tokeniser::tokenise(contents));

    let assembled = dbg!(assembly::assemblize(tokens));
}
